Bug 442076 - [drm:i915_mem_init_heap] errors on vt switch
[drm:i915_mem_init_heap] errors on vt switch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 12:15 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 11:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-11 12:15:25 EDT
Description of problem:

Noticing the following in the logs when vt switching (not using modeset)

[drm:i915_mem_init_heap] *ERROR* heap already initialized?
[drm:i915_dma_resume] *ERROR* can not ioremap virtual address for ring buffer

Version-Release number of selected component (if applicable):

kernel-2.6.25-0.218.rc8.git7.fc9.x86_64
mesa-libGL-7.1-0.23.fc9.x86_64
Comment 1 Bill Nottingham 2008-04-11 12:17:16 EDT
Possibly not surprisingly, attempting to run glxgears then yields:



BUG: unable to handle kernel paging request at 00000000000038f8
IP: [<ffffffff88207630>] :i915:i915_emit_breadcrumb+0xaa/0x101
PGD 5f9d0067 PUD 64c20067 PMD 75990067 PTE 0
Oops: 0002 [1] SMP 
CPU 0 
Modules linked in: bridge bnep rfcomm l2cap bluetooth fuse sunrpc ipt_REJECT
nf_conntrack_ipv4 iptable_filter ip_tables ip6t_REJECT nf_conntrack_ipv6
xt_state nf_conntrack ip6table_filter ip6_tables x_tables cpufreq_ondemand
acpi_cpufreq freq_table dm_mirror dm_multipath ipv6 snd_hda_intel snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss i915
snd_mixer_oss snd_pcm drm snd_timer snd_page_alloc ppdev tulip snd_hwdep snd
e1000e i2c_algo_bit i2c_i801 iTCO_wdt parport_pc button pcspkr
iTCO_vendor_support parport i2c_core soundcore sg ext3 jbd mbcache dm_snapshot
dm_mod squashfs ata_generic sd_mod pata_acpi firewire_ohci firewire_core
crc_itu_t ahci pata_marvell libata ehci_hcd uhci_hcd loop sr_mod scsi_mod cdrom
[last unloaded: microcode]
Pid: 4305, comm: glxgears Not tainted 2.6.25-0.218.rc8.git7.fc9.x86_64 #1
RIP: 0010:[<ffffffff88207630>]  [<ffffffff88207630>]
:i915:i915_emit_breadcrumb+0xaa/0x101
RSP: 0018:ffff81005e8c3dd8  EFLAGS: 00010206
RAX: 00000000000038f8 RBX: ffff81007b13b000 RCX: ffff81007b13b000
RDX: 00000000000038fc RSI: 0000000000000000 RDI: 000000000001ffff
RBP: ffff81005e8c3df8 R08: 00000000000038f8 R09: 0000000000000000
R10: 00000000fffffff8 R11: ffff810063c3ca80 R12: ffff81007b13a000
R13: ffff8100620099c0 R14: ffff810072ca1840 R15: ffff81007b13a000
FS:  00007fcd3e7216f0(0000) GS:ffffffff813f2000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000038f8 CR3: 00000000654d0000 CR4: 00000000000006a0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process glxgears (pid: 4305, threadinfo ffff81005e8c2000, task ffff810064360000)
Stack:  ffff810072ca1840 ffff81007b13b000 ffff81007b13a000 00000000c0086444
 ffff81005e8c3e18 ffffffff8820a1c3 ffff810077083c38 ffff810077083c38
 ffff81005e8c3e48 ffffffff8820a2a1 ffff81005e8c3e48 00000000fffffff4
Call Trace:
 [<ffffffff8820a1c3>] :i915:i915_emit_irq+0x3c/0xa1
 [<ffffffff8820a2a1>] :i915:i915_irq_emit+0x79/0xb7
 [<ffffffff881bcab9>] :drm:drm_ioctl+0x1d2/0x25a
 [<ffffffff8820a228>] ? :i915:i915_irq_emit+0x0/0xb7
 [<ffffffff810af693>] vfs_ioctl+0x5f/0x78
 [<ffffffff810af8f3>] do_vfs_ioctl+0x247/0x261
 [<ffffffff810af962>] sys_ioctl+0x55/0x77
 [<ffffffff8100c182>] tracesys+0xd5/0xda


Code: 7f 14 48 c7 c2 50 32 21 88 be 10 00 00 00 4c 89 e7 e8 a5 fc ff ff 8b 53 4c
48 8b 73 40 8b 7b 20 89 d0 83 c2 04 48 8d 04 06 21 fa <c7> 00 01 00 80 10 89 d0
83 c2 04 48 8d 04 06 21 fa c7 00 14 00 
RIP  [<ffffffff88207630>] :i915:i915_emit_breadcrumb+0xaa/0x101
 RSP <ffff81005e8c3dd8>
CR2: 00000000000038f8
---[ end trace 3a664ccefcde2bde ]---
Comment 2 Chuck Ebbert 2008-04-26 23:33:54 EDT
Is this still a problem?
Comment 3 Bill Nottingham 2008-04-28 11:45:58 EDT
Seems better.

Note You need to log in before you can comment on or make changes to this bug.